   Function UserExit(sType, sWhen, sDetail, bSkip)

        oLogging.CreateEntry "USEREXIT:ENGL-MakeModelExit.vbs started: " & sType & " " & sWhen & " " & sDetail, LogTypeInfo

        UserExit = Success

    End Function

Function CleanString(dirtyString)
 
    Dim objRegExp, outputStr
    Set objRegExp = New Regexp
 
    objRegExp.IgnoreCase = True
    objRegExp.Global = True
    objRegExp.Pattern = "[?*""\\<>\/]+"
    outputStr = objRegExp.Replace(dirtyString, "-")
 
    CleanString = outputStr
 
End Function
	
Function ENGLClean(sMakeModel)

	oLogging.CreateEntry "------------ Initialization USEREXIT:ENGLExit.vbs|ENGLClean -------------", LogTypeInfo
	Dim sENGLMake, sENGLModel, sLenovoModel, objInstance, objResults, sOriginalValue
	
	If sMakeModel = "Make" Then
		ENGLClean 	= CleanString(oEnvironment.Item("Make"))
		sOriginalValue	= oEnvironment.Item("Make")
	Else
		sENGLModel 	= CleanString(oEnvironment.Item("Model"))
		sENGLMake	= CleanString(oEnvironment.Item("Make"))
		sOriginalValue	= oEnvironment.Item("Model")
	    	
		if sENGLMake = "LENOVO" Then
			oLogging.CreateEntry "Lenovo Machine identified as :" & sOriginalValue, LogTypeInfo

	    		Set objResults = objWMI.ExecQuery("select * from Win32_ComputerSystemProduct")
			For Each objInstance In objResults
				sLenovoModel = trim(objInstance.Version)
			Next
			if sLenovoModel = "" then
				sLenovoModel = "NULL"
				oLogging.CreateEntry "Unable to determine Lenovo Version tag via WMI.", LogTypeInfo
			Else
				sENGLModel = sLenovoModel
				oLogging.CreateEntry "Lenovo Version identified as " & sLenovoModel & " via WMI.", LogTypeInfo
			End if
		End if 
		ENGLClean = sENGLModel 
	End If
	oLogging.CreateEntry "ENGLCLean function original attribute : " & sOriginalValue, LogTypeInfo
	oLogging.CreateEntry "ENGLCLean function returning           : " & ENGLClean, LogTypeInfo
	oLogging.CreateEntry "------------ End USEREXIT:ENGLExit.vbs|ENGLClean -------------", LogTypeInfo 
	'wscript.echo ENGLClean       
End Function
